%define name	perl-Template-Toolkit
%define version	2.07
%define release	3mdk

Summary:	Template-Toolkit perl extension
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Template-Toolkit-%{version}.tar.bz2
Patch0:		%{name}-%{version}-DESTDIR.patch.bz2
Url:		http://www.cpan.org
Requires:	tetex-dvipdfm
Requires:	tetex-latex
Requires:	tetex-dvips
Requires:	perl >= 0:5.600
BuildRequires:	perl >= 0:5.600
BuildRequires:	perl-libxml-enno
BuildRequires:  perl(XML::DOM) >= 1.27
BuildRequires:	perl-Text-Autoformat >= 1.03
BuildRequires:	perl-AppConfig >= 1.52
BuildRequires:	perl-DBI >= 1.14
BuildRequires:	perl-Tie-DBI >= 0.86
BuildRequires:	perl-GD >= 1.32
BuildRequires:	perl-GD-TextUtil >= 0.80
BuildRequires:  perl-GD-Graph >= 1.33
BuildRequires:	perl-GD-Graph3d >= 0.55
BuildRequires:  perl-Pod-POM >= 0.1
BuildRequires:  perl-XML-Parser >= 2.23
BuildRequires:  perl-XML-RSS >= 0.9
BuildRequires:	perl-XML-XPath >= 1.00
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

It can be used as a stand-alone Perl module or embedded within an
Apache/mod_perl server for generating highly configurable dynamic web
content. A number of Perl scripts are also provided which can greatly
simplify the process of creating and managing static web content and
other offline document systems.

%prep
%setup -q -n Template-Toolkit-%{version}
%patch0 -p0

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

CFLAGS="%{optflags}" perl Makefile.PL \
    TT_PREFIX=%{_datadir}/tt2 \
    TT_IMAGES=%{_datadir}/tt2/images \
    TT_DOCS="y" \
    TT_SPLASH="y" \
    TT_THEME="aqua" \
    TT_EXAMPLES="y" \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    TT_DBI="y" \
    TT_ACCEPT=y \
    INSTALLDIRS=vendor </dev/null

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

make DESTDIR=%{buildroot} \
    PREFIX=%{buildroot}%{_prefix} \
    install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes HACKING README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}
%{_datadir}/tt2
%{_mandir}/*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.07-3mdk
- build release

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.07-2mdk
- adjust requires

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.07-1mdk
- initial cooker contrib. (stolen from PLD, but heavily adapted for ML)

